### Method

# Gck Object get_full

#### Declaration [src]

    GckAttributes*
    gck_object_get_full (
      GckObject* self,
      const gulong* attr_types,
      guint n_attr_types,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Get the specified attributes from the object. This call may block for an indefinite period.

No extra references are added to the returned attributes pointer. During this call you may not access the attributes in any way.

#### Parameters

`attr_types`

  Type: An array of `gulong`

  The types of the attributes to get.

  The length of the array is specified in the `n_attr_types` argument.
  The data is owned by the caller of the method.

`n_attr_types`

  Type: `guint`

  The number of attr_types.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GckAttributes`

A pointer to the filled in attributes if successful, or `NULL` if not.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.